EM is not starting after upgrading due to a postgres error: ERROR - Error Copying the JRE to the destination directory

Document ID : KB000033266
Last Modified Date : 14/02/2018
Show Technical Document Details

Symptoms: 

After upgrading from APM 9.5 to APM 10.0 the installation ended with the following message:

"The installation is finished, but some errors occurred during the install.
Click Done to quit the installer, then consult the installation logs at C:\Program Files\CA APM\Introscope10.0\install for details."

- and the install logs (Introscope_10.0.0.12_InstallLog.log) reveals the following warning messages:

Install JRE: C:\Program Files\CA APM\Introscope10.0\jre
Status: ERROR
Additional Notes: ERROR - Error Copying the JRE to the destination directory
Flexeraal6: Target file was read only or did not have write permissions and was not overwritten

 

Environment: 

- Enterprise Manager: 10.0; Java version = 1.7.0_21 Java HotSpot(TM) 64-Bit Server VM Oracle Corporation; Windows 2008 Server R2 OS 64bit

 Workaround: 

- The problem occurs installing the JRE on C:\Program Files\CA APM\Introscope10.0\jre during the upgrade. By replacing the "jre" folder to the same Java JRE version (Java 1.7.0_21 Java HotSpot(TM) 64-Bit Server VM Oracle Corporation) from Oracle site or any compatible JRE will resolve this error.

 

Additional Information: 

http://www.ca.com/us/support/ca-support-online/product-content/status/compatibility-matrix/application-performance-management-compatibility-guide.aspx